Description

Since a few hours before the release, vertex editor now has a priority over the selected feature so that it is possible to force the vertex

selection for one particular feature and avoid selecting nodes of neighbour.

This new mode has an issue when used with topological editing. The set of vertices moved doesn't have the neighbour nodes following,

except for the grabbed node. 

See gif animations attached for a clearer explanation!

Related issues:

Duplicated by QGIS Application - Bug report # 20158: Moving segments after ra... Closed 2018-10-18

History

#1 - 2018-11-21 01:47 PM - Bernhard Ströbl

- Status changed from Open to Feedback

This seems to be fixed in current master (3.5.0). Could you please check and either close or change the affected QGIS version?

#2 - 2018-11-21 02:58 PM - Martin Dobias

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

This is the same bug as #20158 and also fixed by https://github.com/qgis/QGIS/pull/8413

#3 - 2018-11-21 02:58 PM - Martin Dobias

- Duplicated by Bug report #20158: Moving segments after range selection of vertices destroys topology added
